cascading.operation

## Class OperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.operation.OperationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  AssertionException

    public class OperationException
    extends CascadingException

Class OperationException is thrown by `BaseOperation` classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`OperationException()` Constructor OperationException creates a new OperationException instance.
`OperationException(String string)` Constructor OperationException creates a new OperationException instance.
`OperationException(String string, Throwable throwable)` Constructor OperationException creates a new OperationException instance.
`OperationException(Throwable throwable)` Constructor OperationException creates a new OperationException instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OperationException

    public OperationException()

Constructor OperationException creates a new OperationException instance.

#### OperationException

    public OperationException(String string)

Constructor OperationException creates a new OperationException instance.

Parameters:
  `string` - of type String

#### OperationException

    public OperationException(String string,
                      Throwable throwable)

Constructor OperationException creates a new OperationException instance.

Parameters:
  `string` - of type String
  `throwable` - of type Throwable

#### OperationException

    public OperationException(Throwable throwable)

Constructor OperationException creates a new OperationException instance.

Parameters:
  `throwable` - of type Throwable